Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.knowgate.sms
Enum SMSResponse.ErrorCode

    java.lang.Object
      java.lang.Enum<SMSResponse.ErrorCode>
          com.knowgate.sms.SMSResponse.ErrorCode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SMSResponse.ErrorCode>

Enclosing class:
  SMSResponse

    public static enum SMSResponse.ErrorCode

extends java.lang.Enum<SMSResponse.ErrorCode>

Enum Constant Summary
`AUTHENTICATION_FAILURE`
`INVALID_CHARACTER`
`INVALID_MSISDN`
`NONE`
`SERVER_UNAVAILABLE`
`TEXT_TOO_LONG`
`UNKNOWN_ERROR`

Method Summary
`int` | `intValue()`
`java.lang.String` | `toString()`
`static SMSResponse.ErrorCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SMSResponse.ErrorCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final SMSResponse.ErrorCode NONE

### AUTHENTICATION_FAILURE

    public static final SMSResponse.ErrorCode AUTHENTICATION_FAILURE

### SERVER_UNAVAILABLE

    public static final SMSResponse.ErrorCode SERVER_UNAVAILABLE

### INVALID_MSISDN

    public static final SMSResponse.ErrorCode INVALID_MSISDN

### INVALID_CHARACTER

    public static final SMSResponse.ErrorCode INVALID_CHARACTER

### TEXT_TOO_LONG

    public static final SMSResponse.ErrorCode TEXT_TOO_LONG

### UNKNOWN_ERROR

    public static final SMSResponse.ErrorCode UNKNOWN_ERROR

Method Detail

### values

    public static SMSResponse.ErrorCode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SMSResponse.ErrorCode c : SMSResponse.ErrorCode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SMSResponse.ErrorCode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### intValue

    public int intValue()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<SMSResponse.ErrorCode>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD